Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(122)

Issue 10889019: Reset scale & scroll state after reloading with overridden URL (Closed)

Created:
7 years, 7 months ago by gone
Modified:
7 years, 6 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

Reset scale & scroll state after reloading with overridden URL When reloading a page with an overridden URL, the page's scroll and zoom state will be restored once the reload is complete. This is problematic in situations when switching between mobile and desktop versions of the same site because it will zoom back in on a random part of alternate page. This CL just avoids that situation by resetting the zoom and scale whenever this type of reload occurs. Webkit half: https://bugs.webkit.org/show_bug.cgi?id=90222 BUG=137004 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=156244

Patch Set 1 #

Total comments: 1

Patch Set 2 : Nit fixing #

Patch Set 3 : Rebase, nit fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -0 lines) Patch
M content/public/renderer/document_state.h View 1 2 2 chunks +10 lines, -0 lines 0 comments Download
M content/public/renderer/document_state.cc View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/render_view_impl.cc View 1 2 2 chunks +8 lines, -0 lines 0 comments Download

Messages

Total messages: 4 (0 generated)
gone
Hey Darin, turns out it is possible to do it from WebFrameClient::didCommitProvisionalLoad(), but I had ...
7 years, 7 months ago (2012-08-29 00:07:36 UTC) #1
darin (slow to review)
LGTM https://chromiumcodereview.appspot.com/10889019/diff/1/content/renderer/render_view_impl.cc File content/renderer/render_view_impl.cc (right): https://chromiumcodereview.appspot.com/10889019/diff/1/content/renderer/render_view_impl.cc#newcode2985 content/renderer/render_view_impl.cc:2985: ViewMsg_Navigate_Type::RELOAD_ORIGINAL_REQUEST_URL == nit: we generally favor the "variable ...
7 years, 7 months ago (2012-08-30 16:56:11 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dfalcantara@chromium.org/10889019/5002
7 years, 6 months ago (2012-09-12 03:52:49 UTC) #3
commit-bot: I haz the power
7 years, 6 months ago (2012-09-12 06:50:36 UTC) #4
Change committed as 156244

Powered by Google App Engine
This is Rietveld 408576698